org.bouncycastle.jce.spec

## Class IESParameterSpec

- java.lang.Object
- - org.bouncycastle.jce.spec.IESParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

    public class IESParameterSpec
    extends java.lang.Object
    implements java.security.spec.AlgorithmParameterSpec

Parameter spec for an integrated encryptor, as in IEEE P1363a

### Constructor Summary

Constructors
Constructor and Description
`IESParameterSpec(byte[] derivation, byte[] encoding, int macKeySize)`

### Method Summary

Methods
`byte[]` `getDerivationV()` return the derivation vector.
`byte[]` `getEncodingV()` return the encoding vector.
`int` `getMacKeySize()` return the key size in bits for the MAC used with the message

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IESParameterSpec

    public IESParameterSpec(byte[] derivation,
                    byte[] encoding,
                    int macKeySize)

### Method Detail

#### getDerivationV

    public byte[] getDerivationV()

return the derivation vector.

#### getEncodingV

    public byte[] getEncodingV()

return the encoding vector.

#### getMacKeySize

    public int getMacKeySize()

return the key size in bits for the MAC used with the message